FeedsPosts
Initialize a post upload
POST
/posts/v1/projects/{projectId}/feeds/{feedId}/posts/upload/initBegin a media upload and create a draft post
Authorization
Bearer X-API-Key<token>
In: header
Path Parameters
projectId*string
Project ID
feedId*string
Feed ID
Request Body
requiredapplication/json{
"content_type": "image",
"creator_id": "string",
"description": "string",
"file_name": "string",
"format": "string",
"image_format": "string",
"video_quality": "string"
}content_type*string
Value in
"image" | "video"creator_id?string
description?string
file_name*string
format*string
image_format?string
video_quality?string
Response Body
201application/json
Created
type: object
content_id?string
content_upload_url?string
post_id?string
poster_id?string
poster_upload_url?string
upload_expires?integer
400application/json
Bad Request
type: object
code?integer
HTTP status code
details?string
Optional details about the error
error?string
Error message describing what went wrong
401application/json
Unauthorized
type: object
code?integer
HTTP status code
details?string
Optional details about the error
error?string
Error message describing what went wrong
404application/json
Not Found
type: object
code?integer
HTTP status code
details?string
Optional details about the error
error?string
Error message describing what went wrong
curl -X POST "https://api.rixl.com/posts/v1/projects/string/feeds/string/posts/upload/init" \
-H "Content-Type: application/json" \
-d '{
"content_type": "image",
"file_name": "string",
"format": "string"
}'const body = JSON.stringify({
"content_type": "image",
"file_name": "string",
"format": "string"
})
fetch("https://api.rixl.com/posts/v1/projects/string/feeds/string/posts/upload/init", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body
})package main
import (
"fmt"
"net/http"
"io/ioutil"
"strings"
)
func main() {
url := "https://api.rixl.com/posts/v1/projects/string/feeds/string/posts/upload/init"
body := strings.NewReader(`{
"content_type": "image",
"file_name": "string",
"format": "string"
}`)
req, _ := http.NewRequest("POST", url, body)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://api.rixl.com/posts/v1/projects/string/feeds/string/posts/upload/init"
body = """{
"content_type": "image",
"file_name": "string",
"format": "string"
}"""
response = requests.request("POST", url, data = body, headers = {
"Content-Type": "application/json"
})
print(response.text)import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;
import java.net.http.HttpRequest.BodyPublishers;
var body = BodyPublishers.ofString("""{
"content_type": "image",
"file_name": "string",
"format": "string"
}""");
HttpClient client = HttpClient.newBuilder()
.connectTimeout(Duration.ofSeconds(10))
.build();
HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
.uri(URI.create("https://api.rixl.com/posts/v1/projects/string/feeds/string/posts/upload/init"))
.header("Content-Type", "application/json")
.POST(body)
.build();
try {
HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
System.out.println("Status code: " + response.statusCode());
System.out.println("Response body: " + response.body());
} catch (Exception e) {
e.printStackTrace();
}using System;
using System.Net.Http;
using System.Text;
var body = new StringContent("""
{
"content_type": "image",
"file_name": "string",
"format": "string"
}
""", Encoding.UTF8, "application/json");
var client = new HttpClient();
var response = await client.PostAsync("https://api.rixl.com/posts/v1/projects/string/feeds/string/posts/upload/init", body);
var responseBody = await response.Content.ReadAsStringAsync();Created
application/json
{
"content_id": "string",
"content_upload_url": "string",
"post_id": "string",
"poster_id": "string",
"poster_upload_url": "string",
"upload_expires": 0
}Bad Request
application/json
{
"code": 400,
"details": "The provided ID is not valid",
"error": "Bad Request"
}Unauthorized
application/json
{
"code": 401,
"details": "The provided ID is not valid",
"error": "Unauthorized"
}Not Found
application/json
{
"code": 404,
"details": "The provided ID is not valid",
"error": "Not Found"
}